Bug 738790

Summary: graphics corruption with Radeon HD6950
Product: [Fedora] Fedora Reporter: Matthew Woehlke <mwoehlke.floss>
Component: xorg-x11-drv-atiAssignee: Jérôme Glisse <jglisse>
Status: CLOSED WONTFIX QA Contact:
Severity: medium Docs Contact:
Priority: unspecified    
Version: 15CC: maurizio.antillon, xgl-maint
Target Milestone: ---Keywords: Triaged
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard: [cat:rendering]
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 749003 (view as bug list) Environment:
Last Closed: 2012-08-07 16:32:16 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
example corruption
none
smolt profile
none
Xorg.log
none
dmesg output
none
another example corruption none

Description Matthew Woehlke 2011-09-15 19:22:17 UTC
Description of problem:
After using computer for some time, display becomes corrupted. Sometimes minor, often major (about 50% of screen pixels garbage).

Also happens, not nearly to the same extent, on my work machine (F14, different AMD video card, also radeon driver).

Version-Release number of selected component (if applicable):
F15 latest packages as of Sept 15, 2011
xorg-x11-server-Xorg-1.10.4-1.fc15.x86_64
mesa-dri-drivers-7.11-1.fc15.x86_64
kernel-2.6.40.4-5.fc15.x86_64
kdebase-workspace-4.6.5-5.fc15.x86_64
(not sure what else to provide; please ask)

How reproducible:
So far, have not been able to use machine for more than a few hours without experiencing issue.

Steps to Reproduce:
1. Use computer

Sorry, don't know a specific trigger, except it is pretty well guaranteed to happen after using the machine for a while. (Running OpenGL programs and/or opening lots of graphics-intensive web pages in Konqueror seems to help. One of my KDE sessions - albeit one I am not at liberty to share - with a dozen or so Konqueror tabs remembered in the session, triggers the issue virtually on login.)
  
Additional info:
Logs/smolt/etc. will follow. Have tried XAA with no effect. X does not start with either AccelDFS=off or DRI=off. Using KDE/kwin with compositing.

(Apologies for wrong component; xorg-x11-drv-[video-]radeon doesn't exist??)

Comment 1 Matthew Woehlke 2011-09-15 19:23:57 UTC
Created attachment 523433 [details]
example corruption

Here's an example... this is from a test user login, and is VERY minor corruption compared to what I see in my main user login.

Comment 3 Matthew Woehlke 2011-09-15 20:13:15 UTC
Created attachment 523440 [details]
Xorg.log

Xorg.log from a session that started showing corruption within a few minutes; no xorg.conf

Comment 4 Matthew Woehlke 2011-09-15 20:14:31 UTC
Created attachment 523441 [details]
dmesg output

Comment 5 Matthew Woehlke 2011-09-15 20:52:07 UTC
I do seem able to reproduce this somewhat 'on demand' by, as previously mentioned, opening a bunch of image-heavy web pages in tabs in Konqueror. Perhaps creating lots of X pixmaps is related?

Logging out temporarily fixes the problem. Changing my widget style from Oxygen to Plastique and back again got rid of some of the artifacts.

Some notes from playing with xrestop...

- I started xrestop when I was having issues; pixmap memory at about 50M.
- Closed some konqueror tabs; memory down to about 40M.
- Restarted kwin, changed widget style, refreshed some web pages... managed to get rid of most artifacts.
- Fiddled around until pixmap memory rose to about 67M

...and wham, I'm starting to see non-trivial artifacts. Hopefully that's helpful!

I realize I don't know the relevant code, and so am talking out my @$$, but it looks suspiciously like any/all X pixmaps stored above the 64MiB mark are getting corrupted... especially as it seems like forcing corrupt pixmaps to be regenerated (e.g. restarting kwin, reloading web pages) seems to at least temporarily fix things.

Comment 6 Matthew Woehlke 2011-10-25 18:22:23 UTC
Created attachment 530153 [details]
another example corruption

Another example of corruption from my other system (lspci reports the card as "ATI Technologies Inc RV620 [FirePro 2260]"). This system usually does not experience the sort of "whole screen" corruption as seen on the system with the HD6950, but the glitches otherwise look the same. Just now, this little corner of my task bar was the only thing I could see on screen that was bad (and it fixed itself while writing this)...

Comment 7 Jérôme Glisse 2011-10-25 19:35:33 UTC
Matthew open a bug for your issue. Rules is one gpu one bug

Comment 8 Fedora End Of Life 2012-08-07 16:32:18 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping